pidgin: PurpleRequestUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
PurpleRequestUiOps Struct Reference

Request UI operations. More...

`#include <request.h>`

## Data Fields
void *(* | request_input )(const char *title, const char *primary, const char *secondary, const char *default_value, gboolean multiline, gboolean masked, gchar *hint, const char *ok_text, GCallback ok_cb, const char *cancel_text, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)
void *(* | request_choice )(const char *title, const char *primary, const char *secondary, int default_value, const char *ok_text, GCallback ok_cb, const char *cancel_text, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data, va_list choices)
void *(* | request_action )(const char *title, const char *primary, const char *secondary, int default_action, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data, size_t action_count, va_list actions)
void *(* | request_fields )(const char *title, const char *primary, const char *secondary, PurpleRequestFields *fields, const char *ok_text, GCallback ok_cb, const char *cancel_text, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)
void *(* | request_file )(const char *title, const char *filename, gboolean savedialog, GCallback ok_cb, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)
void(* | close_request )(PurpleRequestType type, void *ui_handle)
void *(* | request_folder )(const char *title, const char *dirname, GCallback ok_cb, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)
void *(* | request_action_with_icon )(const char *title, const char *primary, const char *secondary, int default_action, PurpleAccount *account, const char *who, PurpleConversation *conv, gconstpointer icon_data, gsize icon_size, void *user_data, size_t action_count, va_list actions)
void *(* | request_screenshare_media )(const char *title, const char *primary, const char *secondary, PurpleAccount *account, GCallback cb, void *user_data)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)

## Detailed Description

Request UI operations.

Definition at line 191 of file request.h.

## Field Documentation

## ◆ _purple_reserved1

void(* PurpleRequestUiOps::_purple_reserved1) (void)

Definition at line 254 of file request.h.

## ◆ _purple_reserved2

void(* PurpleRequestUiOps::_purple_reserved2) (void)

Definition at line 255 of file request.h.

## ◆ close_request

void(* PurpleRequestUiOps::close_request) (PurpleRequestType type, void *ui_handle)

Definition at line 233 of file request.h.

## ◆ request_action

void *(* PurpleRequestUiOps::request_action) (const char *title, const char *primary, const char *secondary, int default_action, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data, size_t action_count, va_list actions)

See also
  purple_request_action_varg().

Definition at line 212 of file request.h.

## ◆ request_action_with_icon

void *(* PurpleRequestUiOps::request_action_with_icon) (const char *title, const char *primary, const char *secondary, int default_action, PurpleAccount *account, const char *who, PurpleConversation *conv, gconstpointer icon_data, gsize icon_size, void *user_data, size_t action_count, va_list actions)

See also
  purple_request_action_with_icon_varg().

Definition at line 242 of file request.h.

## ◆ request_choice

void *(* PurpleRequestUiOps::request_choice) (const char *title, const char *primary, const char *secondary, int default_value, const char *ok_text, GCallback ok_cb, const char *cancel_text, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data, va_list choices)

See also
  purple_request_choice_varg().

Definition at line 203 of file request.h.

## ◆ request_fields

void *(* PurpleRequestUiOps::request_fields) (const char *title, const char *primary, const char *secondary, PurpleRequestFields *fields, const char *ok_text, GCallback ok_cb, const char *cancel_text, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)

See also
  purple_request_fields().

Definition at line 219 of file request.h.

## ◆ request_file

void *(* PurpleRequestUiOps::request_file) (const char *title, const char *filename, gboolean savedialog, GCallback ok_cb, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)

See also
  purple_request_file().

Definition at line 227 of file request.h.

## ◆ request_folder

void *(* PurpleRequestUiOps::request_folder) (const char *title, const char *dirname, GCallback ok_cb, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)

See also
  purple_request_folder().

Definition at line 236 of file request.h.

## ◆ request_input

void *(* PurpleRequestUiOps::request_input) (const char *title, const char *primary, const char *secondary, const char *default_value, gboolean multiline, gboolean masked, gchar *hint, const char *ok_text, GCallback ok_cb, const char *cancel_text, GCallback cancel_cb, PurpleAccount *account, const char *who, PurpleConversation *conv, void *user_data)

See also
  purple_request_input().

Definition at line 194 of file request.h.

## ◆ request_screenshare_media

void *(* PurpleRequestUiOps::request_screenshare_media) (const char *title, const char *primary, const char *secondary, PurpleAccount *account, GCallback cb, void *user_data)

Definition at line 250 of file request.h.

The documentation for this struct was generated from the following file:

- request.h